Bug 482900 - kmodtool incorrectly computes verrel in fc9/fc10 kernels
kmodtool incorrectly computes verrel in fc9/fc10 kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 13:37 EST by Derek Atkins
Modified: 2009-12-18 02:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:43:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that seems to correct the problem (428 bytes, patch)
2009-01-29 10:19 EST, Derek Atkins
no flags Details | Diff
Updated patch to kmodtool (525 bytes, patch)
2009-01-29 11:33 EST, Derek Atkins
no flags Details | Diff

  None (edit)
Description Derek Atkins 2009-01-28 13:37:17 EST
Description of problem:

kmodtool incorrectly reports the version/release of fc9/fc10 kernels.

Version-Release number of selected component (if applicable):

redhat-rpm-config-9.0.3-3.fc10.noarch

How reproducible:

100% reproducible

Steps to Reproduce:
1. kmodtool verrel `uname -r`
2. see that it includes the arch in the verrel
3. note that that's incorrect, because the kernel-devel rpm uses the 'verrel' for the kernel-devel-ARCH provides rule
  
Actual results:

[warlord@pgpdev src]$ uname -r
2.6.27.9-159.fc10.i686
[warlord@pgpdev src]$ /usr/lib/rpm/redhat/kmodtool verrel `uname -r`
2.6.27.9-159.fc10.i686

but from rpm -q --provides kernel-devel:

kernel-devel-i686 = 2.6.27.9-73.fc9

This is important as well because the kmodtool rpmtemplate inserts the following:

BuildRequires: kernel-devel-%{_target_cpu} = 2.6.27.9-159.fc10.i686

... which is definitely incorrect.

Expected results:

kmodtool verrel should return the correct version/release for fc9/fc10 kernels.  In particular, the verrel should drop the arch, so:

  kmodtool verrel 2.6.27.9-159.fc10.i686

should return:

  2.6.27.9-159.fc10

Additional info:

I haven't tested this on the alternate (PAE/Xen) kernels, but I believe they are equally incorrect.
Comment 1 Derek Atkins 2009-01-29 10:19:05 EST
Created attachment 330364 [details]
Patch that seems to correct the problem

Here's a patch that seems to correct the problem, although it might not be the "best" path to take.  I don't know "shell regex" so I implemented it using sed.  This new version seems to work for me.
Comment 2 Derek Atkins 2009-01-29 11:33:32 EST
Created attachment 330375 [details]
Updated patch to kmodtool

This is an updated patch that works better.
Comment 3 Bug Zapper 2009-11-18 05:53:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:43:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.